---
search:
  tags:
    - Merchant Users
    - POST
seo:
  description: >-
    Sets a new password for a… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/new-password
    endpoint in the Management API.
sidebar:
  label: Set merchant user password
  badge: POST
title: Set merchant user password
type: openapi-operation
---
Sets a new password for a specific merchant user account, replacing any existing password

`POST /api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}/new-password`

**Request body** (`application/json`, required)

New password details

- `new_password` (string, required)

Request body example:

```json
{
  "new_password": "string"
}
```

**Responses**

- `200` — Password changed successfully
- `400` — Invalid request (e.g. bad payload, validation error)
- `401` — Unauthorized access
- `404` — User not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
